# swagger.model.DeviceItem

## Load the model package
```dart
import 'package:swagger/api.dart';
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**devId** | **String** | Device id | [default to null]
**name** | **String** | Device name | [default to null]
**active** | **String** | 0 - Device is Online, 1 - Device is Offline | [default to null]
**caps** | **List&lt;String&gt;** | Device capability, http://web.siterwell.co.uk/api/apiDoc.html#device_cap | [optional] [default to []]
**groups** | **List&lt;String&gt;** |  | [optional] [default to []]
**props** | [**List&lt;DevPropertyItem&gt;**](DevPropertyItem.md) |  | [optional] [default to []]
**channels** | [**List&lt;DevChannelItem&gt;**](DevChannelItem.md) |  | [optional] [default to []]
**hwInfo** | [**List&lt;HwInfoItem&gt;**](HwInfoItem.md) |  | [optional] [default to []]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


