# swagger.model.RuleItem

## Load the model package
```dart
import 'package:swagger/api.dart';
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**ruleId** | **String** | rule id | [default to null]
**name** | **String** | rule name | [default to null]
**desc** | **String** | rule description | [optional] [default to null]
**type** | **String** | rule type | [optional] [default to null]
**favorite** | **bool** | favorite rule or not | [optional] [default to null]
**modes** | **List&lt;String&gt;** | rule mode id | [default to []]
**conditions** | [**List&lt;ConditionItem&gt;**](ConditionItem.md) |  | [default to []]
**actions** | [**List&lt;ActionItem&gt;**](ActionItem.md) |  | [default to []]
**scheduleSettingId** | **String** | schedule setting id | [optional] [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


