part of swagger.api;

class AlertRes {
  
  String status = null;
  

  String message = null;
  

  List<String> results = [];
  
  AlertRes();

  @override
  String toString() {
    return 'AlertRes[status=$status, message=$message, results=$results, ]';
  }

  AlertRes.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    status =
        json['status']
    ;
    message =
        json['message']
    ;
    results =
      //[Martin] Check Array size 0 and null 
        (json['results'].toString()== '[]'||json['results']== null) ? null : (json['results'] as List).map((item) => item as String).toList()
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'status': status,
      'message': message,
      'results': results
     };
  }

  static List<AlertRes> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<AlertRes>();
    }
    return json.map((value) => new AlertRes.fromJson(value)).toList();
  }

  static Map<String, AlertRes> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, AlertRes>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new AlertRes.fromJson(value));
    }
    return map;
  }
}

