part of swagger.api;

class ConditionItem {
  /* device id */
  String devId = null;
  
/* property name */
  String name = null;
  
/* property value */
  String value = null;
  
/* operand type, eq(\"=\"), neq(\"!=\"), gte(\">=\"), gt(\">\"), LT(\"<\"), LTE(\"<=\"); */
  String operand = null;
  //enum operandEnum {  gt,  gte,  eq,  neq,  lt,  lte,  };
/* device channel id */
  String channelId = null;
  
  ConditionItem();

  @override
  String toString() {
    return 'ConditionItem[devId=$devId, name=$name, value=$value, operand=$operand, channelId=$channelId, ]';
  }

  ConditionItem.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    devId =
        json['devId']
    ;
    name =
        json['name']
    ;
    value =
        json['value']
    ;
    operand =
        json['operand']
    ;
    channelId =
        json['channelId']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'devId': devId,
      'name': name,
      'value': value,
      'operand': operand,
      'channelId': channelId
     };
  }

  static List<ConditionItem> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<ConditionItem>();
    }
    return json.map((value) => new ConditionItem.fromJson(value)).toList();
  }

  static Map<String, ConditionItem> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, ConditionItem>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new ConditionItem.fromJson(value));
    }
    return map;
  }
}

