part of swagger.api;

class DefinedEventsResResults {
  
  List<DefinedEventItem> events = [];
  

  List<DefinedEventTransItem> eventTrans = [];
  
  DefinedEventsResResults();

  @override
  String toString() {
    return 'DefinedEventsResResults[events=$events, eventTrans=$eventTrans, ]';
  }

  DefinedEventsResResults.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    events =
      DefinedEventItem.listFromJson(json['events'])
;
    eventTrans =
      DefinedEventTransItem.listFromJson(json['eventTrans'])
;
  }

  Map<String, dynamic> toJson() {
    return {
      'events': events,
      'eventTrans': eventTrans
     };
  }

  static List<DefinedEventsResResults> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<DefinedEventsResResults>();
    }
    return json.map((value) => new DefinedEventsResResults.fromJson(value)).toList();
  }

  static Map<String, DefinedEventsResResults> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, DefinedEventsResResults>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new DefinedEventsResResults.fromJson(value));
    }
    return map;
  }
}

