part of swagger.api;

class DefinedPrivilegesItem {
  
  String name = null;
  

  List<CapsGroupItem> capsGroups = [];
  
  DefinedPrivilegesItem();

  @override
  String toString() {
    return 'DefinedPrivilegesItem[name=$name, capsGroups=$capsGroups, ]';
  }

  DefinedPrivilegesItem.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    name =
        json['name']
    ;
    capsGroups =
      CapsGroupItem.listFromJson(json['capsGroups'])
;
  }

  Map<String, dynamic> toJson() {
    return {
      'name': name,
      'capsGroups': capsGroups
     };
  }

  static List<DefinedPrivilegesItem> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<DefinedPrivilegesItem>();
    }
    return json.map((value) => new DefinedPrivilegesItem.fromJson(value)).toList();
  }

  static Map<String, DefinedPrivilegesItem> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, DefinedPrivilegesItem>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new DefinedPrivilegesItem.fromJson(value));
    }
    return map;
  }
}

