part of swagger.api;

class DevPropertyItem {
  /* Property name, http://web.siterwell.co.uk/api/apiDoc.html#controller_props */
  String name = null;
  
/* Property value, http://web.siterwell.co.uk/api/apiDoc.html#controller_props */
  String value = null;
  
/* Update property time(milliseconds, UNIX format, 1577836800000 represents 2020/1/1) */
  num updatedTime = null;
  
  DevPropertyItem();

  @override
  String toString() {
    return 'DevPropertyItem[name=$name, value=$value, updatedTime=$updatedTime, ]';
  }

  DevPropertyItem.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    name =
        json['name']
    ;
    value =
        json['value']
    ;
    updatedTime =
        json['updatedTime']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'name': name,
      'value': value,
      'updatedTime': updatedTime
     };
  }

  static List<DevPropertyItem> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<DevPropertyItem>();
    }
    return json.map((value) => new DevPropertyItem.fromJson(value)).toList();
  }

  static Map<String, DevPropertyItem> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, DevPropertyItem>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new DevPropertyItem.fromJson(value));
    }
    return map;
  }
}

