part of swagger.api;

class DndItem {
  /* Enable send email or not in dnd mode */
  String email = null;
  //enum emailEnum {  enable,  disable,  };
/* Enable send push notification or not in dnd mode */
  String push = null;
  //enum pushEnum {  enable,  disable,  };
/* dnd interval start name, this unit is minute and this value describe a exact time in 24-hours format, 606 means 10:06, 785 means 13:05 */
  num startTime = null;
  
/* dnd interval end name, this unit is minute and this value describe a exact time in 24-hours format, 120 means 2:00, 275 means 4:35 */
  num endTime = null;
  
  DndItem();

  @override
  String toString() {
    return 'DndItem[email=$email, push=$push, startTime=$startTime, endTime=$endTime, ]';
  }

  DndItem.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    email =
        json['email']
    ;
    push =
        json['push']
    ;
    startTime =
        json['startTime']
    ;
    endTime =
        json['endTime']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'email': email,
      'push': push,
      'startTime': startTime,
      'endTime': endTime
     };
  }

  static List<DndItem> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<DndItem>();
    }
    return json.map((value) => new DndItem.fromJson(value)).toList();
  }

  static Map<String, DndItem> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, DndItem>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new DndItem.fromJson(value));
    }
    return map;
  }
}

