part of swagger.api;

class ErrorRes {
  
  String status = null;
  

  String message = null;
  
  ErrorRes();

  @override
  String toString() {
    return 'ErrorRes[status=$status, message=$message, ]';
  }

  ErrorRes.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    status =
        json['status']
    ;
    message =
        json['message']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'status': status,
      'message': message
     };
  }

  static List<ErrorRes> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<ErrorRes>();
    }
    return json.map((value) => new ErrorRes.fromJson(value)).toList();
  }

  static Map<String, ErrorRes> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, ErrorRes>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new ErrorRes.fromJson(value));
    }
    return map;
  }
}

