part of swagger.api;

class ForgotPasswordReq {
  /* User email */
  String email = null;
  
  ForgotPasswordReq();

  @override
  String toString() {
    return 'ForgotPasswordReq[email=$email, ]';
  }

  ForgotPasswordReq.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    email =
        json['email']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'email': email
     };
  }

  static List<ForgotPasswordReq> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<ForgotPasswordReq>();
    }
    return json.map((value) => new ForgotPasswordReq.fromJson(value)).toList();
  }

  static Map<String, ForgotPasswordReq> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, ForgotPasswordReq>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new ForgotPasswordReq.fromJson(value));
    }
    return map;
  }
}

