part of swagger.api;

class GetGeoIpResResults {
  
  String ip = null;
  

  String country = null;
  

  String city = null;
  

  String latitude = null;
  

  String longitude = null;
  

  String timezone = null;
  

  String resource = null;
  
  GetGeoIpResResults();

  @override
  String toString() {
    return 'GetGeoIpResResults[ip=$ip, country=$country, city=$city, latitude=$latitude, longitude=$longitude, timezone=$timezone, resource=$resource, ]';
  }

  GetGeoIpResResults.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    ip =
        json['ip']
    ;
    country =
        json['country']
    ;
    city =
        json['city']
    ;
    latitude =
        json['latitude']
    ;
    longitude =
        json['longitude']
    ;
    timezone =
        json['timezone']
    ;
    resource =
        json['resource']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'ip': ip,
      'country': country,
      'city': city,
      'latitude': latitude,
      'longitude': longitude,
      'timezone': timezone,
      'resource': resource
     };
  }

  static List<GetGeoIpResResults> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<GetGeoIpResResults>();
    }
    return json.map((value) => new GetGeoIpResResults.fromJson(value)).toList();
  }

  static Map<String, GetGeoIpResResults> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, GetGeoIpResResults>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new GetGeoIpResResults.fromJson(value));
    }
    return map;
  }
}

