part of swagger.api;

class GetStreamingRecordsRes {
  
  String status = null;
  

  List<StreamingRecordItem> results = [];
  
  GetStreamingRecordsRes();

  @override
  String toString() {
    return 'GetStreamingRecordsRes[status=$status, results=$results, ]';
  }

  GetStreamingRecordsRes.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    status =
        json['status']
    ;
    results =
      StreamingRecordItem.listFromJson(json['results'])
;
  }

  Map<String, dynamic> toJson() {
    return {
      'status': status,
      'results': results
     };
  }

  static List<GetStreamingRecordsRes> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<GetStreamingRecordsRes>();
    }
    return json.map((value) => new GetStreamingRecordsRes.fromJson(value)).toList();
  }

  static Map<String, GetStreamingRecordsRes> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, GetStreamingRecordsRes>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new GetStreamingRecordsRes.fromJson(value));
    }
    return map;
  }
}

