part of swagger.api;

class GetVersionResResults {
  
  String apiVersion = null;
  

  String serverVersion = null;
  
  GetVersionResResults();

  @override
  String toString() {
    return 'GetVersionResResults[apiVersion=$apiVersion, serverVersion=$serverVersion, ]';
  }

  GetVersionResResults.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    apiVersion =
        json['apiVersion']
    ;
    serverVersion =
        json['serverVersion']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'apiVersion': apiVersion,
      'serverVersion': serverVersion
     };
  }

  static List<GetVersionResResults> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<GetVersionResResults>();
    }
    return json.map((value) => new GetVersionResResults.fromJson(value)).toList();
  }

  static Map<String, GetVersionResResults> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, GetVersionResResults>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new GetVersionResResults.fromJson(value));
    }
    return map;
  }
}

