part of swagger.api;

class HwInfoItem {
  /* Hardware information name, http://web.siterwell.co.uk/api/apiDoc.html */
  String name = null;
  
/* Hardware information value, http://web.siterwell.co.uk/api/apiDoc.html */
  String value = null;
  
  HwInfoItem();

  @override
  String toString() {
    return 'HwInfoItem[name=$name, value=$value, ]';
  }

  HwInfoItem.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    name =
        json['name']
    ;
    value =
        json['value']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'name': name,
      'value': value
     };
  }

  static List<HwInfoItem> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<HwInfoItem>();
    }
    return json.map((value) => new HwInfoItem.fromJson(value)).toList();
  }

  static Map<String, HwInfoItem> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, HwInfoItem>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new HwInfoItem.fromJson(value));
    }
    return map;
  }
}

