part of swagger.api;

class LogItem {
  /* unique id of log item */
  String id = null;
  
/* log saved time(milliseconds, UNIX format, 1577836800000 represents 2020/1/1) */
  num createdAt = null;
  
/* user email */
  String owner = null;
  
/* purpose */
  String purpose = null;
  
/* log type */
  String logType = null;
  
/* group */
  String group = null;
  
/* log happened time(milliseconds, UNIX format, 1577836800000 represents 2020/1/1) */
  num time = null;
  

  String title = null;
  
/* log description */
  String desc = null;
  
/* custom device icon */
  String detailsIcon = null;
  
/* msg type */
  String icon = null;
  
/* severity */
  String severity = null;
  

  LogItemContent content = null;
  
  LogItem();

  @override
  String toString() {
    return 'LogItem[id=$id, createdAt=$createdAt, owner=$owner, purpose=$purpose, logType=$logType, group=$group, time=$time, title=$title, desc=$desc, detailsIcon=$detailsIcon, icon=$icon, severity=$severity, content=$content, ]';
  }

  LogItem.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    id =
        json['id']
    ;
    createdAt =
        json['createdAt']
    ;
    owner =
        json['owner']
    ;
    purpose =
        json['purpose']
    ;
    logType =
        json['logType']
    ;
    group =
        json['group']
    ;
    time =
        json['time']
    ;
    title =
        json['title']
    ;
    desc =
        json['desc']
    ;
    detailsIcon =
        json['detailsIcon']
    ;
    icon =
        json['icon']
    ;
    severity =
        json['severity']
    ;
    content =
      
      
      new LogItemContent.fromJson(json['content'])
;
  }

  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'createdAt': createdAt,
      'owner': owner,
      'purpose': purpose,
      'logType': logType,
      'group': group,
      'time': time,
      'title': title,
      'desc': desc,
      'detailsIcon': detailsIcon,
      'icon': icon,
      'severity': severity,
      'content': content
     };
  }

  static List<LogItem> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<LogItem>();
    }
    return json.map((value) => new LogItem.fromJson(value)).toList();
  }

  static Map<String, LogItem> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, LogItem>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new LogItem.fromJson(value));
    }
    return map;
  }
}

