part of swagger.api;

class LogItemContent {
  
  String type = null;
  

  List<ParmItem> parms = [];
  
  LogItemContent();

  @override
  String toString() {
    return 'LogItemContent[type=$type, parms=$parms, ]';
  }

  LogItemContent.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    type =
        json['type']
    ;
    parms =
      ParmItem.listFromJson(json['parms'])
;
  }

  Map<String, dynamic> toJson() {
    return {
      'type': type,
      'parms': parms
     };
  }

  static List<LogItemContent> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<LogItemContent>();
    }
    return json.map((value) => new LogItemContent.fromJson(value)).toList();
  }

  static Map<String, LogItemContent> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, LogItemContent>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new LogItemContent.fromJson(value));
    }
    return map;
  }
}

