part of swagger.api;

class ModeItem {
  /* Mode id */
  String id = null;
  
/* Mode value */
  String value = null;
  
  ModeItem();

  @override
  String toString() {
    return 'ModeItem[id=$id, value=$value, ]';
  }

  ModeItem.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    id =
        json['id']
    ;
    value =
        json['value']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'value': value
     };
  }

  static List<ModeItem> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<ModeItem>();
    }
    return json.map((value) => new ModeItem.fromJson(value)).toList();
  }

  static Map<String, ModeItem> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, ModeItem>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new ModeItem.fromJson(value));
    }
    return map;
  }
}

