part of swagger.api;

class OperRulesResResults {
  
  List<OperRuleItemRes> rules = [];
  
  OperRulesResResults();

  @override
  String toString() {
    return 'OperRulesResResults[rules=$rules, ]';
  }

  OperRulesResResults.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    rules =
      OperRuleItemRes.listFromJson(json['rules'])
;
  }

  Map<String, dynamic> toJson() {
    return {
      'rules': rules
     };
  }

  static List<OperRulesResResults> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<OperRulesResResults>();
    }
    return json.map((value) => new OperRulesResResults.fromJson(value)).toList();
  }

  static Map<String, OperRulesResResults> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, OperRulesResResults>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new OperRulesResResults.fromJson(value));
    }
    return map;
  }
}

