part of swagger.api;

class RegisterReq {
  /* User email */
  String email = null;
  
/* User name */
  String username = null;
  
/* User password */
  String password = null;
  
/* Brand name */
  String brand = null;
  //enum brandEnum {  siterwell,  };
  RegisterReq();

  @override
  String toString() {
    return 'RegisterReq[email=$email, username=$username, password=$password, brand=$brand, ]';
  }

  RegisterReq.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    email =
        json['email']
    ;
    username =
        json['username']
    ;
    password =
        json['password']
    ;
    brand =
        json['brand']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'email': email,
      'username': username,
      'password': password,
      'brand': brand
     };
  }

  static List<RegisterReq> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<RegisterReq>();
    }
    return json.map((value) => new RegisterReq.fromJson(value)).toList();
  }

  static Map<String, RegisterReq> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, RegisterReq>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new RegisterReq.fromJson(value));
    }
    return map;
  }
}

