part of swagger.api;

class SnapshotItem {
  
  String profile = null;
  

  String url = null;
  

  num fileSize = null;
  

  num width = null;
  

  num height = null;
  
  SnapshotItem();

  @override
  String toString() {
    return 'SnapshotItem[profile=$profile, url=$url, fileSize=$fileSize, width=$width, height=$height, ]';
  }

  SnapshotItem.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    profile =
        json['profile']
    ;
    url =
        json['url']
    ;
    fileSize =
        json['fileSize']
    ;
    width =
        json['width']
    ;
    height =
        json['height']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'profile': profile,
      'url': url,
      'fileSize': fileSize,
      'width': width,
      'height': height
     };
  }

  static List<SnapshotItem> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<SnapshotItem>();
    }
    return json.map((value) => new SnapshotItem.fromJson(value)).toList();
  }

  static Map<String, SnapshotItem> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, SnapshotItem>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new SnapshotItem.fromJson(value));
    }
    return map;
  }
}

