part of swagger.api;

class StreamingUrlRes {
  
  String status = null;
  

  String message = null;
  

  String results = null;
  

  String sessionToken = null;
  
  StreamingUrlRes();

  @override
  String toString() {
    return 'StreamingUrlRes[status=$status, message=$message, results=$results, sessionToken=$sessionToken, ]';
  }

  StreamingUrlRes.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    status =
        json['status']
    ;
    message =
        json['message']
    ;
    results =
        json['results']
    ;
    sessionToken =
        json['sessionToken']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'status': status,
      'message': message,
      'results': results,
      'sessionToken': sessionToken
     };
  }

  static List<StreamingUrlRes> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<StreamingUrlRes>();
    }
    return json.map((value) => new StreamingUrlRes.fromJson(value)).toList();
  }

  static Map<String, StreamingUrlRes> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, StreamingUrlRes>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new StreamingUrlRes.fromJson(value));
    }
    return map;
  }
}

