part of swagger.api;

class UserDataItem {
  /* User data name */
  String name = null;
  
/* UUID to identify login browser/mobile/controller */
  String value = null;
  
  UserDataItem();

  @override
  String toString() {
    return 'UserDataItem[name=$name, value=$value, ]';
  }

  UserDataItem.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    name =
        json['name']
    ;
    value =
        json['value']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'name': name,
      'value': value
     };
  }

  static List<UserDataItem> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<UserDataItem>();
    }
    return json.map((value) => new UserDataItem.fromJson(value)).toList();
  }

  static Map<String, UserDataItem> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, UserDataItem>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new UserDataItem.fromJson(value));
    }
    return map;
  }
}

