part of swagger.api;

class UserDataReq {
  
  List<UserDataItem> userData = [];
  
  UserDataReq();

  @override
  String toString() {
    return 'UserDataReq[userData=$userData, ]';
  }

  UserDataReq.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    userData =
      UserDataItem.listFromJson(json['userData'])
;
  }

  Map<String, dynamic> toJson() {
    return {
      'userData': userData
     };
  }

  static List<UserDataReq> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<UserDataReq>();
    }
    return json.map((value) => new UserDataReq.fromJson(value)).toList();
  }

  static Map<String, UserDataReq> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, UserDataReq>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new UserDataReq.fromJson(value));
    }
    return map;
  }
}

