part of swagger.api;

class UserMeRes {
  
  String status = null;
  

  String message = null;
  

  UserItem results = null;
  
  UserMeRes();

  @override
  String toString() {
    return 'UserMeRes[status=$status, message=$message, results=$results, ]';
  }

  UserMeRes.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    status =
        json['status']
    ;
    message =
        json['message']
    ;
    results =
      
      
      new UserItem.fromJson(json['results'])
;
  }

  Map<String, dynamic> toJson() {
    return {
      'status': status,
      'message': message,
      'results': results
     };
  }

  static List<UserMeRes> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<UserMeRes>();
    }
    return json.map((value) => new UserMeRes.fromJson(value)).toList();
  }

  static Map<String, UserMeRes> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, UserMeRes>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new UserMeRes.fromJson(value));
    }
    return map;
  }
}

