part of swagger.api;

class WeatherItem {
  /* current, hourly, daily */
  String type = null;
  
/* data source */
  String source = null;
  
/* time in second */
  String dt = null;
  

  WeatherItemWeather weather = null;
  

  WeatherItemMain main = null;
  
  WeatherItem();

  @override
  String toString() {
    return 'WeatherItem[type=$type, source=$source, dt=$dt, weather=$weather, main=$main, ]';
  }

  WeatherItem.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    type =
        json['type']
    ;
    source =
        json['source']
    ;
    dt =
        json['dt']
    ;
    weather =
      
      
      new WeatherItemWeather.fromJson(json['weather'])
;
    main =
      
      
      new WeatherItemMain.fromJson(json['main'])
;
  }

  Map<String, dynamic> toJson() {
    return {
      'type': type,
      'source': source,
      'dt': dt,
      'weather': weather,
      'main': main
     };
  }

  static List<WeatherItem> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<WeatherItem>();
    }
    return json.map((value) => new WeatherItem.fromJson(value)).toList();
  }

  static Map<String, WeatherItem> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, WeatherItem>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new WeatherItem.fromJson(value));
    }
    return map;
  }
}

