part of swagger.api;

class WeatherItemMain {
  
  String humidity = null;
  

  WeatherItemMainTemp temp = null;
  

  String sunrise = null;
  

  String sunset = null;
  
  WeatherItemMain();

  @override
  String toString() {
    return 'WeatherItemMain[humidity=$humidity, temp=$temp, sunrise=$sunrise, sunset=$sunset, ]';
  }

  WeatherItemMain.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    humidity =
        json['humidity']
    ;
    temp =
      
      
      new WeatherItemMainTemp.fromJson(json['temp'])
;
    sunrise =
        json['sunrise']
    ;
    sunset =
        json['sunset']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'humidity': humidity,
      'temp': temp,
      'sunrise': sunrise,
      'sunset': sunset
     };
  }

  static List<WeatherItemMain> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<WeatherItemMain>();
    }
    return json.map((value) => new WeatherItemMain.fromJson(value)).toList();
  }

  static Map<String, WeatherItemMain> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, WeatherItemMain>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new WeatherItemMain.fromJson(value));
    }
    return map;
  }
}

