part of swagger.api;

class WeatherRes {
  
  String status = null;
  

  String message = null;
  

  List<WeatherItem> results = [];
  

  WeatherResErrors errors = null;
  
  WeatherRes();

  @override
  String toString() {
    return 'WeatherRes[status=$status, message=$message, results=$results, errors=$errors, ]';
  }

  WeatherRes.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    status =
        json['status']
    ;
    message =
        json['message']
    ;
    results =
      WeatherItem.listFromJson(json['results'])
;
    errors =
      
      
      new WeatherResErrors.fromJson(json['errors'])
;
  }

  Map<String, dynamic> toJson() {
    return {
      'status': status,
      'message': message,
      'results': results,
      'errors': errors
     };
  }

  static List<WeatherRes> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<WeatherRes>();
    }
    return json.map((value) => new WeatherRes.fromJson(value)).toList();
  }

  static Map<String, WeatherRes> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, WeatherRes>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new WeatherRes.fromJson(value));
    }
    return map;
  }
}

