part of swagger.api;

class WeatherResErrors {
  
  num index = null;
  

  num httpStatusCode = null;
  

  num code = null;
  

  String msg = null;
  
  WeatherResErrors();

  @override
  String toString() {
    return 'WeatherResErrors[index=$index, httpStatusCode=$httpStatusCode, code=$code, msg=$msg, ]';
  }

  WeatherResErrors.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    index =
        json['index']
    ;
    httpStatusCode =
        json['httpStatusCode']
    ;
    code =
        json['code']
    ;
    msg =
        json['msg']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'index': index,
      'httpStatusCode': httpStatusCode,
      'code': code,
      'msg': msg
     };
  }

  static List<WeatherResErrors> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<WeatherResErrors>();
    }
    return json.map((value) => new WeatherResErrors.fromJson(value)).toList();
  }

  static Map<String, WeatherResErrors> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, WeatherResErrors>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new WeatherResErrors.fromJson(value));
    }
    return map;
  }
}

