# swagger.model.ControllerItemRes

## Load the model package
```dart
import 'package:swagger/api.dart';
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **String** | Controller unique object id, this id is the as controllerId | [optional] [default to null]
**controllerId** | **String** | Controller id | [optional] [default to null]
**active** | **String** | 0: Tablet is Online, 1: Tablet is Offline, 2: User logout | [optional] [default to null]
**name** | **String** | Controller name | [optional] [default to null]
**caps** | **List&lt;String&gt;** | Controller capability http://web.siterwell.co.uk/api/apiDoc.html#controller_cap | [optional] [default to []]
**groups** | [**List&lt;GroupItem&gt;**](GroupItem.md) |  | [optional] [default to []]
**places** | [**List&lt;PlaceItem&gt;**](PlaceItem.md) |  | [optional] [default to []]
**modes** | [**List&lt;ModeItem&gt;**](ModeItem.md) |  | [optional] [default to []]
**props** | [**List&lt;DevPropertyItem&gt;**](DevPropertyItem.md) |  | [optional] [default to []]
**devices** | [**List&lt;DeviceItem&gt;**](DeviceItem.md) |  | [optional] [default to []]
**status** | [**List&lt;StatusItem&gt;**](StatusItem.md) |  | [optional] [default to []]
**privGroups** | [**List&lt;PrivilegeItemIn&gt;**](PrivilegeItemIn.md) |  | [optional] [default to []]
**hwInfo** | [**List&lt;HwInfoItem&gt;**](HwInfoItem.md) |  | [optional] [default to []]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


