# swagger.model.GeoItem

## Load the model package
```dart
import 'package:swagger/api.dart';
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**country** | **String** | Abbrevated country name in English | [default to null]
**city** | **String** | City name in English | [default to null]
**latitude** | **String** | Latitude in decimal(at least the first decimal precision) | [default to null]
**longitude** | **String** | Longitude in decimal(at least the first decimal precision) | [default to null]
**timezone** | **String** | Timezone in the list of tz database | [optional] [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


