# swagger.model.LogItem

## Load the model package
```dart
import 'package:swagger/api.dart';
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **String** | unique id of log item | [optional] [default to null]
**createdAt** | **num** | log saved time(milliseconds, UNIX format, 1577836800000 represents 2020/1/1) | [optional] [default to null]
**owner** | **String** | user email | [optional] [default to null]
**purpose** | **String** | purpose | [optional] [default to null]
**logType** | **String** | log type | [optional] [default to null]
**group** | **String** | group | [optional] [default to null]
**time** | **num** | log happened time(milliseconds, UNIX format, 1577836800000 represents 2020/1/1) | [optional] [default to null]
**title** | **String** |  | [optional] [default to null]
**desc** | **String** | log description | [optional] [default to null]
**detailsIcon** | **String** | custom device icon | [optional] [default to null]
**icon** | **String** | msg type | [optional] [default to null]
**severity** | **String** | severity | [optional] [default to null]
**content** | [**LogItemContent**](LogItemContent.md) |  | [optional] [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


