part of swagger.api;

class ActionItem {
  /* device id */
  String devId = null;
  
/* property name */
  String name = null;
  
/* property value */
  String value = null;
  
/* action duration */
  num duration = null;
  
/* device channel id */
  String channelId = null;
  
  ActionItem();

  @override
  String toString() {
    return 'ActionItem[devId=$devId, name=$name, value=$value, duration=$duration, channelId=$channelId, ]';
  }

  ActionItem.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    devId =
        json['devId']
    ;
    name =
        json['name']
    ;
    value =
        json['value']
    ;
    duration =
        json['duration']
    ;
    channelId =
        json['channelId']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'devId': devId,
      'name': name,
      'value': value,
      'duration': duration,
      'channelId': channelId
     };
  }

  static List<ActionItem> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<ActionItem>();
    }
    return json.map((value) => new ActionItem.fromJson(value)).toList();
  }

  static Map<String, ActionItem> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, ActionItem>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new ActionItem.fromJson(value));
    }
    return map;
  }
}

