part of swagger.api;

class CapsGroupItem {
  
  String cap = null;
  

  String prop = null;
  

  bool active = null;
  
  CapsGroupItem();

  @override
  String toString() {
    return 'CapsGroupItem[cap=$cap, prop=$prop, active=$active, ]';
  }

  CapsGroupItem.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    cap =
        json['cap']
    ;
    prop =
        json['prop']
    ;
    active =
        json['active']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'cap': cap,
      'prop': prop,
      'active': active
     };
  }

  static List<CapsGroupItem> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<CapsGroupItem>();
    }
    return json.map((value) => new CapsGroupItem.fromJson(value)).toList();
  }

  static Map<String, CapsGroupItem> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, CapsGroupItem>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new CapsGroupItem.fromJson(value));
    }
    return map;
  }
}

