part of swagger.api;

class ControllerCtrlReq {
  /* Command type, only support 'changeMode' now */
  String type = null;
  

  List<ControllerCtrlReqParams> params = [];
  
  ControllerCtrlReq();

  @override
  String toString() {
    return 'ControllerCtrlReq[type=$type, params=$params, ]';
  }

  ControllerCtrlReq.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    type =
        json['type']
    ;
    params =
      ControllerCtrlReqParams.listFromJson(json['params'])
;
  }

  Map<String, dynamic> toJson() {
    return {
      'type': type,
      'params': params
     };
  }

  static List<ControllerCtrlReq> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<ControllerCtrlReq>();
    }
    return json.map((value) => new ControllerCtrlReq.fromJson(value)).toList();
  }

  static Map<String, ControllerCtrlReq> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, ControllerCtrlReq>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new ControllerCtrlReq.fromJson(value));
    }
    return map;
  }
}

