part of swagger.api;

class CtrlItem {
  /* Property name, http://web.siterwell.co.uk/api/apiDoc.html#controller_props */
  String name = null;
  
/* Property value, http://web.siterwell.co.uk/api/apiDoc.html#controller_props */
  String value = null;
  
/* Control device properties with 'set','increment' and 'decrement' operation */
  String operation = null;
  //enum operationEnum {  set,  increment,  decrement,  };
  CtrlItem();

  @override
  String toString() {
    return 'CtrlItem[name=$name, value=$value, operation=$operation, ]';
  }

  CtrlItem.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    name =
        json['name']
    ;
    value =
        json['value']
    ;
    operation =
        json['operation']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'name': name,
      'value': value,
      'operation': operation
     };
  }

  static List<CtrlItem> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<CtrlItem>();
    }
    return json.map((value) => new CtrlItem.fromJson(value)).toList();
  }

  static Map<String, CtrlItem> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, CtrlItem>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new CtrlItem.fromJson(value));
    }
    return map;
  }
}

