part of swagger.api;

class DefinedEventItem {
  
  String purpose = null;
  

  String logType = null;
  

  String group = null;
  

  String title = null;
  

  String desc = null;
  

  String icon = null;
  

  String detailsIcon = null;
  

  String severity = null;
  

  String contentType = null;
  

  List<ParmItemArray> conditions = [];
  
  DefinedEventItem();

  @override
  String toString() {
    return 'DefinedEventItem[purpose=$purpose, logType=$logType, group=$group, title=$title, desc=$desc, icon=$icon, detailsIcon=$detailsIcon, severity=$severity, contentType=$contentType, conditions=$conditions, ]';
  }

  DefinedEventItem.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    purpose =
        json['purpose']
    ;
    logType =
        json['logType']
    ;
    group =
        json['group']
    ;
    title =
        json['title']
    ;
    desc =
        json['desc']
    ;
    icon =
        json['icon']
    ;
    detailsIcon =
        json['detailsIcon']
    ;
    severity =
        json['severity']
    ;
    contentType =
        json['contentType']
    ;
    conditions =
      ParmItemArray.listFromJson(json['conditions'])
;
  }

  Map<String, dynamic> toJson() {
    return {
      'purpose': purpose,
      'logType': logType,
      'group': group,
      'title': title,
      'desc': desc,
      'icon': icon,
      'detailsIcon': detailsIcon,
      'severity': severity,
      'contentType': contentType,
      'conditions': conditions
     };
  }

  static List<DefinedEventItem> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<DefinedEventItem>();
    }
    return json.map((value) => new DefinedEventItem.fromJson(value)).toList();
  }

  static Map<String, DefinedEventItem> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, DefinedEventItem>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new DefinedEventItem.fromJson(value));
    }
    return map;
  }
}

