part of swagger.api;

class DefinedEventTransItem {
  
  String lang = null;
  

  Object transData = null;
  
  DefinedEventTransItem();

  @override
  String toString() {
    return 'DefinedEventTransItem[lang=$lang, transData=$transData, ]';
  }

  DefinedEventTransItem.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    lang =
        json['lang']
    ;
    transData =
        json['transData']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'lang': lang,
      'transData': transData
     };
  }

  static List<DefinedEventTransItem> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<DefinedEventTransItem>();
    }
    return json.map((value) => new DefinedEventTransItem.fromJson(value)).toList();
  }

  static Map<String, DefinedEventTransItem> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, DefinedEventTransItem>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new DefinedEventTransItem.fromJson(value));
    }
    return map;
  }
}

