part of swagger.api;

class DefinedPrivilegesResResults {
  
  List<DefinedPrivilegesItem> privileges = [];
  
  DefinedPrivilegesResResults();

  @override
  String toString() {
    return 'DefinedPrivilegesResResults[privileges=$privileges, ]';
  }

  DefinedPrivilegesResResults.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    privileges =
      DefinedPrivilegesItem.listFromJson(json['privileges'])
;
  }

  Map<String, dynamic> toJson() {
    return {
      'privileges': privileges
     };
  }

  static List<DefinedPrivilegesResResults> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<DefinedPrivilegesResResults>();
    }
    return json.map((value) => new DefinedPrivilegesResResults.fromJson(value)).toList();
  }

  static Map<String, DefinedPrivilegesResResults> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, DefinedPrivilegesResResults>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new DefinedPrivilegesResResults.fromJson(value));
    }
    return map;
  }
}

