part of swagger.api;

class EventItem {
  
  String purpose = null;
  

  String group = null;
  

  String time = null;
  

  LogItemContent content = null;
  
  EventItem();

  @override
  String toString() {
    return 'EventItem[purpose=$purpose, group=$group, time=$time, content=$content, ]';
  }

  EventItem.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    purpose =
        json['purpose']
    ;
    group =
        json['group']
    ;
    time =
        json['time']
    ;
    content =
      
      
      new LogItemContent.fromJson(json['content'])
;
  }

  Map<String, dynamic> toJson() {
    return {
      'purpose': purpose,
      'group': group,
      'time': time,
      'content': content
     };
  }

  static List<EventItem> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<EventItem>();
    }
    return json.map((value) => new EventItem.fromJson(value)).toList();
  }

  static Map<String, EventItem> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, EventItem>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new EventItem.fromJson(value));
    }
    return map;
  }
}

