part of swagger.api;

class GetControllersResResults {
  
  List<ControllerItemRes> controllers = [];
  
  GetControllersResResults();

  @override
  String toString() {
    return 'GetControllersResResults[controllers=$controllers, ]';
  }

  GetControllersResResults.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    controllers =
      ControllerItemRes.listFromJson(json['controllers'])
;
  }

  Map<String, dynamic> toJson() {
    return {
      'controllers': controllers
     };
  }

  static List<GetControllersResResults> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<GetControllersResResults>();
    }
    return json.map((value) => new GetControllersResResults.fromJson(value)).toList();
  }

  static Map<String, GetControllersResResults> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, GetControllersResResults>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new GetControllersResResults.fromJson(value));
    }
    return map;
  }
}

