part of swagger.api;

class GetDevicesResResults {
  
  List<DeviceItemRes> devices = [];
  
  GetDevicesResResults();

  @override
  String toString() {
    return 'GetDevicesResResults[devices=$devices, ]';
  }

  GetDevicesResResults.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    devices =
      DeviceItemRes.listFromJson(json['devices'])
;
  }

  Map<String, dynamic> toJson() {
    return {
      'devices': devices
     };
  }

  static List<GetDevicesResResults> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<GetDevicesResResults>();
    }
    return json.map((value) => new GetDevicesResResults.fromJson(value)).toList();
  }

  static Map<String, GetDevicesResResults> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, GetDevicesResResults>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new GetDevicesResResults.fromJson(value));
    }
    return map;
  }
}

