part of swagger.api;

class GetLogsRes {
  
  String status = null;
  

  String message = null;
  

  List<LogItem> results = [];
  

  int total = null;
  
  GetLogsRes();

  @override
  String toString() {
    return 'GetLogsRes[status=$status, message=$message, results=$results, total=$total, ]';
  }

  GetLogsRes.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    status =
        json['status']
    ;
    message =
        json['message']
    ;
    results =
      LogItem.listFromJson(json['results'])
;
    total =
        json['total']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'status': status,
      'message': message,
      'results': results,
      'total': total
     };
  }

  static List<GetLogsRes> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<GetLogsRes>();
    }
    return json.map((value) => new GetLogsRes.fromJson(value)).toList();
  }

  static Map<String, GetLogsRes> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, GetLogsRes>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new GetLogsRes.fromJson(value));
    }
    return map;
  }
}

