part of swagger.api;

class GetRulesResResults {
  
  List<RuleItem> rules = [];
  
  GetRulesResResults();

  @override
  String toString() {
    return 'GetRulesResResults[rules=$rules, ]';
  }

  GetRulesResResults.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    rules =
      RuleItem.listFromJson(json['rules'])
;
  }

  Map<String, dynamic> toJson() {
    return {
      'rules': rules
     };
  }

  static List<GetRulesResResults> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<GetRulesResResults>();
    }
    return json.map((value) => new GetRulesResResults.fromJson(value)).toList();
  }

  static Map<String, GetRulesResResults> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, GetRulesResResults>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new GetRulesResResults.fromJson(value));
    }
    return map;
  }
}

