part of swagger.api;

class GetSnapshotRes {
  
  String status = null;
  

  String message = null;
  

  List<SnapshotItem> results = [];
  
  GetSnapshotRes();

  @override
  String toString() {
    return 'GetSnapshotRes[status=$status, message=$message, results=$results, ]';
  }

  GetSnapshotRes.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    status =
        json['status']
    ;
    message =
        json['message']
    ;
    results =
      SnapshotItem.listFromJson(json['results'])
;
  }

  Map<String, dynamic> toJson() {
    return {
      'status': status,
      'message': message,
      'results': results
     };
  }

  static List<GetSnapshotRes> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<GetSnapshotRes>();
    }
    return json.map((value) => new GetSnapshotRes.fromJson(value)).toList();
  }

  static Map<String, GetSnapshotRes> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, GetSnapshotRes>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new GetSnapshotRes.fromJson(value));
    }
    return map;
  }
}

