part of swagger.api;

class GetUsersRulesItem {
  /* controller id */
  String controllerId = null;
  

  List<RuleItem> rules = [];
  
  GetUsersRulesItem();

  @override
  String toString() {
    return 'GetUsersRulesItem[controllerId=$controllerId, rules=$rules, ]';
  }

  GetUsersRulesItem.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    controllerId =
        json['controllerId']
    ;
    rules =
      RuleItem.listFromJson(json['rules'])
;
  }

  Map<String, dynamic> toJson() {
    return {
      'controllerId': controllerId,
      'rules': rules
     };
  }

  static List<GetUsersRulesItem> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<GetUsersRulesItem>();
    }
    return json.map((value) => new GetUsersRulesItem.fromJson(value)).toList();
  }

  static Map<String, GetUsersRulesItem> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, GetUsersRulesItem>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new GetUsersRulesItem.fromJson(value));
    }
    return map;
  }
}

