part of swagger.api;

class GroupItem {
  /* Group id */
  String id = null;
  
/* Group value */
  String value = null;
  
/* UI display ordering */
  String order = null;
  
  GroupItem();

  @override
  String toString() {
    return 'GroupItem[id=$id, value=$value, order=$order, ]';
  }

  GroupItem.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    id =
        json['id']
    ;
    value =
        json['value']
    ;
    order =
        json['order']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'value': value,
      'order': order
     };
  }

  static List<GroupItem> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<GroupItem>();
    }
    return json.map((value) => new GroupItem.fromJson(value)).toList();
  }

  static Map<String, GroupItem> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, GroupItem>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new GroupItem.fromJson(value));
    }
    return map;
  }
}

