part of swagger.api;

class LoginReq {
  /* User email */
  String email = null;
  
/* User password */
  String password = null;
  
/* User login client type */
  String clientType = null;
  //enum clientTypeEnum {  browser,  controller,  mobile,  };

  List<UserDataItem> userData = [];
  
  LoginReq();

  @override
  String toString() {
    return 'LoginReq[email=$email, password=$password, clientType=$clientType, userData=$userData, ]';
  }

  LoginReq.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    email =
        json['email']
    ;
    password =
        json['password']
    ;
    clientType =
        json['clientType']
    ;
    userData =
      UserDataItem.listFromJson(json['userData'])
;
  }

  Map<String, dynamic> toJson() {
    return {
      'email': email,
      'password': password,
      'clientType': clientType,
      'userData': userData
     };
  }

  static List<LoginReq> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<LoginReq>();
    }
    return json.map((value) => new LoginReq.fromJson(value)).toList();
  }

  static Map<String, LoginReq> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, LoginReq>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new LoginReq.fromJson(value));
    }
    return map;
  }
}

