part of swagger.api;

class OperDevItemRes {
  /* device id */
  String devId = null;
  
/* response code */
  String code = null;
  
/* response message */
  String message = null;
  
  OperDevItemRes();

  @override
  String toString() {
    return 'OperDevItemRes[devId=$devId, code=$code, message=$message, ]';
  }

  OperDevItemRes.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    devId =
        json['devId']
    ;
    code =
        json['code']
    ;
    message =
        json['message']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'devId': devId,
      'code': code,
      'message': message
     };
  }

  static List<OperDevItemRes> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<OperDevItemRes>();
    }
    return json.map((value) => new OperDevItemRes.fromJson(value)).toList();
  }

  static Map<String, OperDevItemRes> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, OperDevItemRes>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new OperDevItemRes.fromJson(value));
    }
    return map;
  }
}

