part of swagger.api;

class OperDevicesResResults {
  
  List<OperDevItemRes> devices = [];
  
  OperDevicesResResults();

  @override
  String toString() {
    return 'OperDevicesResResults[devices=$devices, ]';
  }

  OperDevicesResResults.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    devices =
      OperDevItemRes.listFromJson(json['devices'])
;
  }

  Map<String, dynamic> toJson() {
    return {
      'devices': devices
     };
  }

  static List<OperDevicesResResults> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<OperDevicesResResults>();
    }
    return json.map((value) => new OperDevicesResResults.fromJson(value)).toList();
  }

  static Map<String, OperDevicesResResults> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, OperDevicesResResults>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new OperDevicesResResults.fromJson(value));
    }
    return map;
  }
}

