part of swagger.api;

class ParmItem {
  
  String key = null;
  

  String value = null;
  
  ParmItem();

  @override
  String toString() {
    return 'ParmItem[key=$key, value=$value, ]';
  }

  ParmItem.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    key =
        json['key']
    ;
    value =
        json['value']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'key': key,
      'value': value
     };
  }

  static List<ParmItem> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<ParmItem>();
    }
    return json.map((value) => new ParmItem.fromJson(value)).toList();
  }

  static Map<String, ParmItem> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, ParmItem>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new ParmItem.fromJson(value));
    }
    return map;
  }
}

