part of swagger.api;

class PrivilegeItemIn {
  /* privilege owner */
  String email = null;
  
/* Privilege type */
  String priv = null;
  //enum privEnum {  admin,  family,  guest,  };
/* privilege status */
  String status = null;
  //enum statusEnum {  enable,  disable,  pending,  delete,  };
/* expired time(milliseconds, UNIX format, 1577836800000 represents 2020/1/1), empty value represents infinite */
  String expiredTime = null;
  

  DndItem dnd = null;
  
  PrivilegeItemIn();

  @override
  String toString() {
    return 'PrivilegeItemIn[email=$email, priv=$priv, status=$status, expiredTime=$expiredTime, dnd=$dnd, ]';
  }

  PrivilegeItemIn.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    email =
        json['email']
    ;
    priv =
        json['priv']
    ;
    status =
        json['status']
    ;
    expiredTime =
        json['expiredTime']
    ;
    dnd =
      
      
      new DndItem.fromJson(json['dnd'])
;
  }

  Map<String, dynamic> toJson() {
    return {
      'email': email,
      'priv': priv,
      'status': status,
      'expiredTime': expiredTime,
      'dnd': dnd
     };
  }

  static List<PrivilegeItemIn> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<PrivilegeItemIn>();
    }
    return json.map((value) => new PrivilegeItemIn.fromJson(value)).toList();
  }

  static Map<String, PrivilegeItemIn> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, PrivilegeItemIn>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new PrivilegeItemIn.fromJson(value));
    }
    return map;
  }
}

