part of swagger.api;

class PrivilegeItemPrivGroup {
  /* Invite user's email */
  String email = null;
  
/* privilege name */
  String priv = null;
  //enum privEnum {  admin,  family,  guest,  };
/* privilege status */
  String status = null;
  //enum statusEnum {  enable,  disable,  pending,  delete,  };
/* expired time(milliseconds, UNIX format, 1577836800000 represents 2020/1/1), empty value represents infinite */
  String expiredTime = null;
  
/* dnd(do not disturb) mode is let user can control when they want to receive email or push notification or not,  */
  DndItem dnd = null;
  
  PrivilegeItemPrivGroup();

  @override
  String toString() {
    return 'PrivilegeItemPrivGroup[email=$email, priv=$priv, status=$status, expiredTime=$expiredTime, dnd=$dnd, ]';
  }

  PrivilegeItemPrivGroup.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    email =
        json['email']
    ;
    priv =
        json['priv']
    ;
    status =
        json['status']
    ;
    expiredTime =
        json['expiredTime']
    ;
    dnd =
      
      
      new DndItem.fromJson(json['dnd'])
;
  }

  Map<String, dynamic> toJson() {
    return {
      'email': email,
      'priv': priv,
      'status': status,
      'expiredTime': expiredTime,
      'dnd': dnd
     };
  }

  static List<PrivilegeItemPrivGroup> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<PrivilegeItemPrivGroup>();
    }
    return json.map((value) => new PrivilegeItemPrivGroup.fromJson(value)).toList();
  }

  static Map<String, PrivilegeItemPrivGroup> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, PrivilegeItemPrivGroup>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new PrivilegeItemPrivGroup.fromJson(value));
    }
    return map;
  }
}

