part of swagger.api;

class ReportItem {
  /* When report was generated */
  String createdAt = null;
  
/* Which brand this report belongs to */
  String brand = null;
  
/* How often was report generated */
  String type = null;
  
/* Which field of this report represents */
  String field = null;
  
/* Statistic value of field */
  num value = null;
  
  ReportItem();

  @override
  String toString() {
    return 'ReportItem[createdAt=$createdAt, brand=$brand, type=$type, field=$field, value=$value, ]';
  }

  ReportItem.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    createdAt =
        json['createdAt']
    ;
    brand =
        json['brand']
    ;
    type =
        json['type']
    ;
    field =
        json['field']
    ;
    value =
        json['value']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'createdAt': createdAt,
      'brand': brand,
      'type': type,
      'field': field,
      'value': value
     };
  }

  static List<ReportItem> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<ReportItem>();
    }
    return json.map((value) => new ReportItem.fromJson(value)).toList();
  }

  static Map<String, ReportItem> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, ReportItem>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new ReportItem.fromJson(value));
    }
    return map;
  }
}

