part of swagger.api;

class ReportRes {
  
  String status = null;
  

  String message = null;
  

  List<ReportItem> results = [];
  
  ReportRes();

  @override
  String toString() {
    return 'ReportRes[status=$status, message=$message, results=$results, ]';
  }

  ReportRes.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    status =
        json['status']
    ;
    message =
        json['message']
    ;
    results =
      ReportItem.listFromJson(json['results'])
;
  }

  Map<String, dynamic> toJson() {
    return {
      'status': status,
      'message': message,
      'results': results
     };
  }

  static List<ReportRes> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<ReportRes>();
    }
    return json.map((value) => new ReportRes.fromJson(value)).toList();
  }

  static Map<String, ReportRes> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, ReportRes>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new ReportRes.fromJson(value));
    }
    return map;
  }
}

