part of swagger.api;

class ResetPasswordReq {
  /* User password */
  String password = null;
  
/* User password confirm */
  String confirmPassword = null;
  
  ResetPasswordReq();

  @override
  String toString() {
    return 'ResetPasswordReq[password=$password, confirmPassword=$confirmPassword, ]';
  }

  ResetPasswordReq.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    password =
        json['password']
    ;
    confirmPassword =
        json['confirmPassword']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'password': password,
      'confirmPassword': confirmPassword
     };
  }

  static List<ResetPasswordReq> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<ResetPasswordReq>();
    }
    return json.map((value) => new ResetPasswordReq.fromJson(value)).toList();
  }

  static Map<String, ResetPasswordReq> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, ResetPasswordReq>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new ResetPasswordReq.fromJson(value));
    }
    return map;
  }
}

