part of swagger.api;

class SimplyEventItem {
  
  String eventId = null;
  

  String time = null;
  
  SimplyEventItem();

  @override
  String toString() {
    return 'SimplyEventItem[eventId=$eventId, time=$time, ]';
  }

  SimplyEventItem.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    eventId =
        json['eventId']
    ;
    time =
        json['time']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'eventId': eventId,
      'time': time
     };
  }

  static List<SimplyEventItem> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<SimplyEventItem>();
    }
    return json.map((value) => new SimplyEventItem.fromJson(value)).toList();
  }

  static Map<String, SimplyEventItem> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, SimplyEventItem>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new SimplyEventItem.fromJson(value));
    }
    return map;
  }
}

