part of swagger.api;

class StatusItem {
  
  String name = null;
  

  String value = null;
  
  StatusItem();

  @override
  String toString() {
    return 'StatusItem[name=$name, value=$value, ]';
  }

  StatusItem.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    name =
        json['name']
    ;
    value =
        json['value']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'name': name,
      'value': value
     };
  }

  static List<StatusItem> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<StatusItem>();
    }
    return json.map((value) => new StatusItem.fromJson(value)).toList();
  }

  static Map<String, StatusItem> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, StatusItem>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new StatusItem.fromJson(value));
    }
    return map;
  }
}

