part of swagger.api;

class StreamingRecordItem {
  
  String ip = null;
  

  String email = null;
  
/* \"player\" or \"publisher\" */
  String role = null;
  

  String name = null;
  

  String app = null;
  

  String host = null;
  

  num timestamp = null;
  

  num duration = null;
  
  StreamingRecordItem();

  @override
  String toString() {
    return 'StreamingRecordItem[ip=$ip, email=$email, role=$role, name=$name, app=$app, host=$host, timestamp=$timestamp, duration=$duration, ]';
  }

  StreamingRecordItem.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    ip =
        json['ip']
    ;
    email =
        json['email']
    ;
    role =
        json['role']
    ;
    name =
        json['name']
    ;
    app =
        json['app']
    ;
    host =
        json['host']
    ;
    timestamp =
        json['timestamp']
    ;
    duration =
        json['duration']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'ip': ip,
      'email': email,
      'role': role,
      'name': name,
      'app': app,
      'host': host,
      'timestamp': timestamp,
      'duration': duration
     };
  }

  static List<StreamingRecordItem> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<StreamingRecordItem>();
    }
    return json.map((value) => new StreamingRecordItem.fromJson(value)).toList();
  }

  static Map<String, StreamingRecordItem> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, StreamingRecordItem>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new StreamingRecordItem.fromJson(value));
    }
    return map;
  }
}

