part of swagger.api;

class TimezoneResResults {
  
  int dstOffset = null;
  

  int rawOffset = null;
  

  String status = null;
  

  String timeZoneId = null;
  

  String timeZoneName = null;
  
  TimezoneResResults();

  @override
  String toString() {
    return 'TimezoneResResults[dstOffset=$dstOffset, rawOffset=$rawOffset, status=$status, timeZoneId=$timeZoneId, timeZoneName=$timeZoneName, ]';
  }

  TimezoneResResults.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    dstOffset =
        json['dstOffset']
    ;
    rawOffset =
        json['rawOffset']
    ;
    status =
        json['status']
    ;
    timeZoneId =
        json['timeZoneId']
    ;
    timeZoneName =
        json['timeZoneName']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'dstOffset': dstOffset,
      'rawOffset': rawOffset,
      'status': status,
      'timeZoneId': timeZoneId,
      'timeZoneName': timeZoneName
     };
  }

  static List<TimezoneResResults> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<TimezoneResResults>();
    }
    return json.map((value) => new TimezoneResResults.fromJson(value)).toList();
  }

  static Map<String, TimezoneResResults> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, TimezoneResResults>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new TimezoneResResults.fromJson(value));
    }
    return map;
  }
}

