part of swagger.api;

class UserItem {
  /* user email */
  String email = null;
  
/* Username */
  String username = null;
  
  UserItem();

  @override
  String toString() {
    return 'UserItem[email=$email, username=$username, ]';
  }

  UserItem.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    email =
        json['email']
    ;
    username =
        json['username']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'email': email,
      'username': username
     };
  }

  static List<UserItem> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<UserItem>();
    }
    return json.map((value) => new UserItem.fromJson(value)).toList();
  }

  static Map<String, UserItem> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, UserItem>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new UserItem.fromJson(value));
    }
    return map;
  }
}

