part of swagger.api;

class WeatherItemWeather {
  
  String id = null;
  

  String icon = null;
  
  WeatherItemWeather();

  @override
  String toString() {
    return 'WeatherItemWeather[id=$id, icon=$icon, ]';
  }

  WeatherItemWeather.fromJson(Map<String, dynamic> json) {
    if (json == null || json.length == 0) return;
    id =
        json['id']
    ;
    icon =
        json['icon']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'icon': icon
     };
  }

  static List<WeatherItemWeather> listFromJson(List<dynamic> json) {
    if(json == null || json.length == 0){
      return new List<WeatherItemWeather>();
    }
    return json.map((value) => new WeatherItemWeather.fromJson(value)).toList();
  }

  static Map<String, WeatherItemWeather> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, WeatherItemWeather>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new WeatherItemWeather.fromJson(value));
    }
    return map;
  }
}

